## soundconverter 0.8.0

=== Makefile ===
#
# (c) 2005 Gautier Portet
#

PACKAGE=soundconverter
VERSION=0.8.0

prefix = /usr/local
bindir = $(prefix)/bin
sharedir = $(prefix)/share/soundconverter

all:

check:
	python soundconverterTests.py
	if [ -d snd ]; then python soundconverter.py -t snd/* > /dev/null; fi

install:
	install -d $(bindir) $(sharedir)
	install -m 0644 soundconverter.glade $(sharedir)
	install -m 0644 logo.png $(sharedir)
	sed 's,^GLADE *=.*,GLADE = "$(sharedir)/soundconverter.glade",' \
	soundconverter.py > make-install-temp
	install make-install-temp $(bindir)/soundconverter
	rm make-install-temp

clean:
	rm -f *.pyc *.bak
    
dist:
	mkdir -p $(PACKAGE)-$(VERSION)
	cp -a ChangeLog README soundconverter.py TODO soundconverter.glade soundconverter.gladep Makefile logo.png COPYING soundconverter.1 soundconverterTests.py $(PACKAGE)-$(VERSION)
	mkdir -p $(PACKAGE)-$(VERSION)/po
	cp -a po/fr.po $(PACKAGE)-$(VERSION)/po
	tar czf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	rm -rf $(PACKAGE)-$(VERSION)

commit:
	svn commit

release:
	svn -m "release $(VERSION)" copy . svn+ssh://kassoulet@svn.berlios.de/svnroot/repos/soundconverter/tags/release-$(VERSION)
	lftp -c "open ftp.berlios.de/incoming ; put soundconverter-$(VERSION).tar.gz"

## soundconverter 0.8.3

=== Makefile ===
#
# (c) 2005-2006 Gautier Portet
#

PACKAGE=soundconverter
VERSION=0.8.3

LINGUAS=fr pl pt_BR

PO_FILES=$(patsubst %,po/%.po, $(LINGUAS))
MO_FILES=$(patsubst %.po,%.mo, $(PO_FILES))
TRANSLATABLE_FILES=soundconverter.py soundconverter.glade

DEST=$(PACKAGE)-$(VERSION)

prefix = /usr/local
bindir = $(prefix)/bin
sharedir = $(prefix)/share/soundconverter

POT_FILE=po/soundconverter.pot

all: 
	

lang: $(MO_FILES)
	

$(POT_FILE): $(TRANSLATABLE_FILES)
	xgettext $(TRANSLATABLE_FILES) -o $(POT_FILE) 

$(PO_FILES): $(POT_FILE)
	msgmerge -U $@ $(POT_FILE)

$(MO_FILES): $(PO_FILES)
	msgfmt $< -o $@
	
check:
	python soundconverterTests.py
	if [ -d snd ]; then python soundconverter.py -t snd/* > /dev/null; fi

lint:
	pylint --enable-format=n --no-docstring-rgx=.\* soundconverter.py

install:
	install -d $(DESTDIR)$(bindir) $(DESTDIR)$(sharedir)
	install -m 0644 soundconverter.glade $(DESTDIR)$(sharedir)
	install -m 0644 logo.png $(DESTDIR)$(sharedir)
	install -m 0644 po/fr.mo /usr/share/locale/fr/LC_MESSAGES/soundconverter.mo
	install -m 0644 po/pl.mo /usr/share/locale/fr/LC_MESSAGES/soundconverter.mo
	install -m 0644 po/pt_BR.mo /usr/share/locale/fr/LC_MESSAGES/soundconverter.mo
	sed 's,^GLADE *=.*,GLADE = "$(sharedir)/soundconverter.glade",' \
	soundconverter.py > make-install-temp
	install make-install-temp $(DESTDIR)$(bindir)/soundconverter
	rm make-install-temp

install-local:
	install -d ~/bin ~/share/soundconverter
	install -m 0644 soundconverter.glade ~/share/soundconverter
	install -m 0644 logo.png ~/share/soundconverter
	sed 's,^GLADE *=.*,GLADE = "~/share/soundconverter/soundconverter.glade",' \
	soundconverter.py > make-install-temp
	install make-install-temp ~/bin/soundconverter
	rm make-install-temp

clean:
	rm -f *.pyc *.bak
    
dist:
	mkdir -p $(DEST)
	cp -a ChangeLog README soundconverter.py TODO soundconverter.glade soundconverter.gladep Makefile logo.png COPYING soundconverter.1 soundconverterTests.py $(DEST)
	mkdir -p $(DEST)/po
	cp -a $(PO_FILES) $(MO_FILES) $(DEST)/po
	tar czf $(DEST).tar.gz $(DEST)
	rm -rf $(DEST)

commit:
	svn commit

release:
	svn -m "release $(VERSION)" copy . svn+ssh://kassoulet@svn.berlios.de/svnroot/repos/soundconverter/tags/release-$(VERSION)
	lftp -c "open ftp.berlios.de/incoming ; put soundconverter-$(VERSION).tar.gz"

## soundconverter 1.5.4

=== debian/changelog ===
soundconverter (1.5.4-1) unstable; urgency=low

  * New upstream version. This should fix the following bugs in Debian:
    - soundconverter stops converting m4a files sudently.. (Closes: #468846)
    - should depend on package gstreamer0.10-lame (Closes: #571521)
    - please support gnome audio profiles (Closes: #500239)
    - please package new version (Closes: #606764)
  * New Debian package maintainer. Thanks, Jason Heeris, for the previous
    uploads.
  * Removed debian/patches: the only patch is no longer required.
  * Removed debian/watch: it didn't work after upstream moved from
    Berlios, and I can't be bothered. (I would prefer watch files
    to be maintained in a central location, and not require packaging
    updates when upstream moves.)
  * Packaging re-done to use dh.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 26 Nov 2011 12:14:13 +0000

soundconverter (1.4.4-2) unstable; urgency=low

  * Changed copyright information.
  * Removed dependency on gstreamer0.10-gnomevfs. Closes: #546451

 -- Jason Heeris <jason.heeris@gmail.com>  Sun, 13 Sep 2009 20:08:13 +0800

soundconverter (1.4.4-1) unstable; urgency=low

  * New upstream release. (Closes: #524455)
  * Updated watch file (gz => bz2).
  * Included "get-orig-source" target.

 -- Jason Heeris <jason.heeris@gmail.com>  Sun, 30 Aug 2009 18:28:42 +0800

soundconverter (1.3.1-1) unstable; urgency=low

  * New upstream release. (Closes: #482772)
    - Can run multiple jobs simultaneously. (Closes: #401148)
  * Sync from Ubuntu.
  * Acknowledge NMU, thanks Ben.
  * debian/patches/100_dont_overwrite_source.diff: Drop. New upstream
    version includes it.
  * debian/control:
    - Update standards version to 3.8.0. No other changes were required.
    - Update maintainer email address.
  * debian/copyright: Update years and emails, and mention GPL3ing of
    the packaging.

 -- William Grant <william@qeuni.net>  Sat, 26 Jul 2008 18:16:59 +1000

soundconverter (1.2.0-0ubuntu1) intrepid; urgency=low

  * New upstream release.
    - Reset progress indiciator after a conversion. (LP: #104450)
  * debian/patches/fix-add_uris-crash.patch: Drop. Included upstream.

 -- William Grant <william@qeuni.net>  Wed, 04 Jun 2008 13:38:33 +1000

soundconverter (1.0.1-0ubuntu2) hardy; urgency=low

  * debian/patches/fix-add_uris-crash.patch: Don't crash on an invalid URI.
    Backported from 1.0.2. (LP: #211210)

 -- William Grant <william@qeuni.net>  Tue, 22 Apr 2008 22:08:07 +1000

soundconverter (1.0.1-0ubuntu1) hardy; urgency=low

  * New upstream release.
    - Fix crasher with unicode filenames. (LP: #212730)
    - Fix crasher when removing messy unicode chars. (LP: #216119)

 -- William Grant <william@qeuni.net>  Mon, 21 Apr 2008 23:27:33 +1000

soundconverter (1.0.0-0ubuntu1) hardy; urgency=low

  * New upstream release.
    - Only format tags when displaying. (LP: #179886)
    - Fix filename_to_uri to remove gvfs error at startup. (LP: #208794)

 -- William Grant <william@qeuni.net>  Mon, 07 Apr 2008 09:15:41 +1000

soundconverter (0.9.9-0ubuntu1) hardy; urgency=low

  * New upstream release. (LP: #208544)

 -- William Grant <william@qeuni.net>  Sat, 29 Mar 2008 10:07:55 +1100

soundconverter (0.9.8-0ubuntu1) hardy; urgency=low

  * New upstream release. (LP: #181611)
  * debian/control:
    - Depend on gstreamer0.10-plugins-base. (LP: #154617)
    - Don't Suggest gstreamer0.10-lame. It's not in an official
      repository.
    - Bump Standards-Version to 3.7.3.
    - Migrate to official Homepage field. 
  * debian/patches/fix-desktop-file.patch: Drop Encoding and duplicate Name
    fields from soundconverter.desktop.

 -- William Grant <william.grant@ubuntu.org.au>  Thu, 10 Jan 2008 18:55:34 +1100

soundconverter (0.9.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add dependency on gstreamer0.10-plugins-base. (Closes: #487045)
  * Apply upstream change to prevent overwriting source file. (Closes: #461526)
  * Convert Homepage to a real control field.

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 29 Jun 2008 18:03:11 +0000

soundconverter (0.9.7-1) unstable; urgency=low

  * New upstream release.
    - License is now GPLv3.
    - Better replace-messy-chars. (Closes: #401147)
  * Update debian/copyright for new license.

 -- William Grant <william.grant@ubuntu.org.au>  Thu, 02 Aug 2007 11:16:36 +1000

soundconverter (0.9.6-1) unstable; urgency=low

  * Merge from Ubuntu.
    - Proper upstream patch to fix URL-encoding and space mangling.
      (Closes: #423158)

 -- William Grant <william.grant@ubuntu.org.au>  Thu, 17 May 2007 16:33:25 +1000

soundconverter (0.9.6-0ubuntu1) gutsy; urgency=low

  * New upstream release
    - Don't write to URL-encoded filenames (LP: #109365)
  * debian/copyright: Update.
  * debian/watch: Add.
  * debian/control: Add python-gnome2 to build-depends, as configure wants it.
  * debian/patches/01_add_desktop_icon.patch: Drop, now included upstream.

 -- William Grant <william.grant@ubuntu.org.au>  Sun, 29 Apr 2007 08:22:10 +1000

soundconverter (0.9.4-2) unstable; urgency=low

  * Add upstream patch to stop URL-encoding of output filenames.
    (Closes: #415771)
  * debian/watch: Add.

 -- William Grant <william.grant@ubuntu.org.au>  Mon, 16 Apr 2007 20:23:57 +1000

soundconverter (0.9.4-1) unstable; urgency=low

  * Merge from Ubuntu.
    - Link to instructions for MP3 support. (Closes: 398188)
  * Update Maintainer address.
  * Update description to match .desktop.
  * Add gstreamer0.10-{lame,ffmpeg} to Suggests.

 -- William Grant <william.grant@ubuntu.org.au>  Fri,  2 Mar 2007 10:07:57 +1100

soundconverter (0.9.4-0ubuntu1) feisty; urgency=low

  * New upstream release.
    - Don't crash on special characters such as spaces (LP: #87768)
    - Create VBR MP3s with proper length (LP: #87715)
    - Display an error with link to a howto when codec is missing (LP: #41457)
  * Don't copy the logo into /usr/share/pixmaps for use as an icon; upstream
    now supplies a proper one.


=== debian/control ===
Source: soundconverter
Maintainer: Lars Wirzenius <liw@liw.fi>
Section: gnome
Priority: optional
Build-Depends: debhelper (>= 7.3.8), python (>= 2.6.3-3)
Build-Depends-Indep: python-gtk2, python-gnome2, intltool, gettext, libexpat1
Standards-Version: 3.9.2
X-Python-Version: >= 2.6
Homepage: http://soundconverter.org/

Package: soundconverter
Architecture: all
Depends: ${misc:Depends},
         python,
         python-gnome2,
         python-glade2,
         python-gst0.10,
         gstreamer0.10-plugins-good,
         gstreamer0.10-plugins-base
Suggests: gstreamer0.10-plugins-ugly, gstreamer0.10-ffmpeg
Description: GNOME application to convert audio files into other formats
 SoundConverter is a simple sound converter application for the GNOME
 environment. It reads sound files in any format supported by GStreamer
 and outputs them in Ogg Vorbis, FLAC, or WAV format, or MP3 format if
 you have the GStreamer LAME plugin.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:
	true

clean:
	rm -f src/*.pyc

## soundconverter 2.0.1

=== debian/changelog ===
soundconverter (2.0.1-1) unstable; urgency=low

  * New upstream version.
  * debian/compat: Bump to 9.
  * debian/control: Bump Build-Depends on debhelper to current version.
  * debian/rules: Remove all customization.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 22 Feb 2012 21:58:39 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Lars Wirzenius <liw@liw.fi>
 Section: gnome
 Priority: optional
-Build-Depends: debhelper (>= 7.3.8), python (>= 2.6.3-3)
+Build-Depends: debhelper (>= 9.20120115), python (>= 2.6.3-3)
 Build-Depends-Indep: python-gtk2, python-gnome2, intltool, gettext, libexpat1
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.6

## soundconverter 2.0.4

=== debian/changelog ===
soundconverter (2.0.4-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1077508).
    - Disable common path when creating folders using tags (LP: #972158).
    - Increase Low pass filter frequency when converting to MP3 (LP: #881413).
    - Use original filename as title when tags are not present (LP: #984790).
    - Fix command line arguments parsing (LP: #995862).
    - Fix problem with AAC settings (LP: #954555).
    - Fix yet another problem with URIs handling (LP: #998371).

 -- Logan Rosen <logatronico@gmail.com>  Wed, 21 Nov 2012 12:38:13 -0500

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with=python2

## soundconverter 2.1.3

=== debian/changelog ===
soundconverter (2.1.3-1) unstable; urgency=medium

  [Dan Alderman]
  * Prepared an unreleased and unuploaded 2.1.2-1 package and tested that.

  [Lars Wirzenius]
  * New upstream version.
  * Standards-Version bumped; no other changes needed.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 03 Jun 2014 13:37:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: soundconverter
 Maintainer: Lars Wirzenius <liw@liw.fi>
+Uploaders: Dan Alderman <dan@danalderman.co.uk>
 Section: gnome
 Priority: optional
 Build-Depends: debhelper (>= 9.20120115), python (>= 2.6.3-3)
 Build-Depends-Indep: python-gtk2, python-gnome2, intltool, gettext, libexpat1
-Standards-Version: 3.9.2
-X-Python-Version: >= 2.6
+Standards-Version: 3.9.5
 Homepage: http://soundconverter.org/
 
 Package: soundconverter

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/lib

## soundconverter 2.1.5

=== debian/changelog ===
soundconverter (2.1.5-1) unstable; urgency=medium

  * New upstream release.
   * debian/control:
    - Adopt package. Thank you for maintaing soundconverter, Lars. (Closes:
      #775658)
    - Bump Standards-Version to 3.9.6.
    - Update Build-Depends: Add dh-autoreconf, dh-python and libglib2.0-dev.
    - Remove Suggests on gstreamer0.10-ffmpeg. It is no longer installable.
  * debian/rules:
    - Use dh_autoreconf.
    - Install everything to /usr/share/soundconverter.
  * debian/{gbp.conf,watch}: Added.
  * debian/copyright: Updated.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 Feb 2015 21:25:12 +0100

soundconverter (2.1.4-3) unstable; urgency=medium

  * Really orphan package.

 -- Debian QA Group <packages@qa.debian.org>  Sun, 18 Jan 2015 12:22:25 +0200

soundconverter (2.1.4-2) unstable; urgency=medium

  * Orphan package. I no longer use it myself. Lars Wirzenius.

 -- Debian QA Group <packages@qa.debian.org>  Sun, 18 Jan 2015 11:47:31 +0200

soundconverter (2.1.4-1) unstable; urgency=medium

  * New upstream version.
    * Fix "delivers outdated link to debian-multimedia.org". Upstream
      has updated the web page to explain how to get MP3 encoding to
      work by linking to deb-multimedia.org instead of
      debian-multimedia.org. (Closes: #733587)
    * Fix "Please upgrade soundconverter". (Closes: #739582)
    * Fix "Licensing issue on images files". Upstream has a new logo
      file that is in the public domain. See commit
      7d90194a6aa86ce10dbcfa1faa0c6d488f535bcf in the upstream git
      repository. (Closes: #763062)

 -- Lars Wirzenius <liw@liw.fi>  Sat, 01 Nov 2014 09:15:12 +0000

=== debian/control ===
Source: soundconverter
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Section: gnome
Priority: optional
Build-Depends:
 debhelper (>= 9.20120115),
 dh-autoreconf,
 dh-python,
 python (>= 2.6.3-3),
 python-gtk2,
 python-gnome2,
 intltool,
 gettext,
 libglib2.0-dev
Standards-Version: 3.9.6
Homepage: http://soundconverter.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/soundconverter.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/soundconverter.git

Package: soundconverter
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 python-gnome2,
 python-glade2,
 python-gst0.10,
 gstreamer0.10-plugins-good,
 gstreamer0.10-plugins-base
Suggests:
 gstreamer0.10-plugins-ugly
Description: GNOME application to convert audio files into other formats
 SoundConverter is a simple sound converter application for the GNOME
 environment. It reads sound files in any format supported by GStreamer
 and outputs them in Ogg Vorbis, FLAC, or WAV format, or MP3 format if
 you have the GStreamer LAME plugin.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/share

=== debian/watch ===
version=3
https://launchpad.net/soundconverter/trunk .*/soundconverter-(.*)\.tar\.xz

## soundconverter 3.0.0~alpha1%2Bgit20151209

=== debian/changelog ===
soundconverter (3.0.0~alpha1+git20151209-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fix filtering in open files dialog. (Closes: #806372)
    - Prevent crash causes by exceeding maximum recursion depth. (Closes:
      #806990)
  * debian/control:
    - Add gir1.2-notify-0.7 to Recommends.
    - Move gstreamer1.0-libav to Recommends.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 10 Dec 2015 19:21:51 +0100

soundconverter (3.0.0~alpha1+git20151119-1) unstable; urgency=medium

  * New upstream snapshot.
    - Force numbers to be integers in filename patterns. (Closes: #804454)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Nov 2015 23:39:49 +0100

soundconverter (3.0.0~alpha1+git20150413-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream snapshot.
  * debian/patches: Removed, no longer needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 12 Oct 2015 00:17:30 +0200

soundconverter (3.0.0~alpha1-2) experimental; urgency=medium

  * debian/control: Set Multimedia Team as Maintainer, move myself to
    Uploaders.
  * debian/patches/xing-header-vbr.patch: Only add Xing header if VBR MP3s are
    generated.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 Feb 2015 21:30:56 +0100

soundconverter (3.0.0~alpha1-1) experimental; urgency=medium

  * New upstream release.
    - Use gio instead of gnomevfs (Closes: #757587)
  * debian/control:
    - Adopt package. Thank you for maintaing soundconverter, Lars. (Closes:
      #775658)
    - Bump Standards-Version to 3.9.6.
    - Update (Build-)Depends:
      + Replace python with python3 variants.
      + Replace gstreamer0.10 with gstreamer1.0.
      + Replace GTK+ 2 packages with GTK+ 3 GIT packages.
      + Add dh-autoreconf, dh-python and libglib2.0-dev.
  * debian/rules:
    - Use dh_python3 instead of dh_python2.
    - Use dh_autoreconf.
    - Do not run tests which are not included in the tarball.
    - Install everything to /usr/share/soundconverter.
  * debian/patches: Added upstream patches for a missing import and proper
    lame plugin detection.
  * debian/{gbp.conf,watch}: Added.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 19 Jan 2015 00:19:28 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
  https://launchpad.net/soundconverter/3.x .*/soundconverter-(.*)\.tar\.xz

## soundconverter 3.0.0~alpha1+git20151209

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
  debhelper (>= 9.20120115),
  dh-autoreconf,
  dh-python,
- python (>= 2.6.3-3),
- python-gtk2,
- python-gnome2,
+ gettext,
+ gir1.2-gstreamer-1.0,
+ gir1.2-gtk-3.0,
  intltool,
- gettext,
- libglib2.0-dev
+ libglib2.0-dev,
+ python3,
+ python3-gi
 Standards-Version: 3.9.6
 Homepage: http://soundconverter.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/soundconverter.git
@@ -22,14 +23,19 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- ${python:Depends},
- python-gnome2,
- python-glade2,
- python-gst0.10,
- gstreamer0.10-plugins-good,
- gstreamer0.10-plugins-base
+ ${python3:Depends},
+ python3-gi,
+ gir1.2-gconf-2.0,
+ gir1.2-glib-2.0,
+ gir1.2-gstreamer-1.0,
+ gir1.2-gtk-3.0,
+ gstreamer1.0-plugins-good,
+ gstreamer1.0-plugins-base
+Recommends:
+ gir1.2-notify-0.7,
+ gstreamer1.0-libav
 Suggests:
- gstreamer0.10-plugins-ugly
+ gstreamer1.0-plugins-ugly
 Description: GNOME application to convert audio files into other formats
  SoundConverter is a simple sound converter application for the GNOME
  environment. It reads sound files in any format supported by GStreamer

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/share

override_dh_auto_test:

DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
DEB_UPSTREAM_VER=$(shell dpkg-parsechangelog -l$(DEB_DEBDIR)/changelog \
	| sed -ne 's/^Version: \(.*\)-[^-]*/\1/p' | sed -ne 's/^\([^+]*\)+git.*/\1/p')
COMMIT=5ccd1724528995cdddebf1fa480af2f92df22135
get-orig-source:
	TMPD=`mktemp -d` && \
		git clone https://github.com/kassoulet/soundconverter \
			"$$TMPD/soundconverter" && \
		git --git-dir="$$TMPD/soundconverter/.git" archive \
			--prefix=soundconverter/ $(COMMIT) | \
			xz > $$TMPD/soundconverter.tar.xz && \
		CDATE=`git --git-dir="$$TMPD/soundconverter/.git" show \
			--format=format:%ci -s $(COMMIT) | \
			awk '{ gsub(/-/,""); print $$1 }'` && \
		mv $$TMPD/soundconverter.tar.xz \
			soundconverter_$(DEB_UPSTREAM_VER)+git$$CDATE.orig.tar.xz && \
		rm -rf $$TMPD

## soundconverter 3.0.0~beta1

=== debian/changelog ===
soundconverter (3.0.0~beta1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 16 Jun 2017 00:55:25 +0200

soundconverter (3.0.0~beta1-1) experimental; urgency=medium

  * New upstream release.
    - Fix URI handling. (Closes: #812748)
  * debian/rules: Remove get-orig-source since we are using upstream's tarball
    again.
  * debian/{contol,compat,rules}: Bump to debhelper compat 10.
  * debian/control:
    - Bump Standards-Version
    - Raise gstreamer1.0-plugins-ugly to Recommends (Closes: #840373)
    - Update Vcs-*.
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 16 May 2017 21:14:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Section: gnome
 Priority: optional
 Build-Depends:
- debhelper (>= 9.20120115),
- dh-autoreconf,
+ debhelper (>= 10),
  dh-python,
  gettext,
  gir1.2-gstreamer-1.0,
@@ -14,10 +13,10 @@
  libglib2.0-dev,
  python3,
  python3-gi
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://soundconverter.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/soundconverter.git
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/soundconverter.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/soundconverter.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/soundconverter.git
 
 Package: soundconverter
 Architecture: all
@@ -33,8 +32,7 @@
  gstreamer1.0-plugins-base
 Recommends:
  gir1.2-notify-0.7,
- gstreamer1.0-libav
-Suggests:
+ gstreamer1.0-libav,
  gstreamer1.0-plugins-ugly
 Description: GNOME application to convert audio files into other formats
  SoundConverter is a simple sound converter application for the GNOME

## soundconverter 3.0.0

=== debian/changelog ===
soundconverter (3.0.0-2) unstable; urgency=medium

  * debian/patches: Only fetch profiles if gconf is available. (Closes: #886046)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 07 Apr 2018 18:02:43 +0200

soundconverter (3.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Sebastian Ramacher ]
  * New upstream release.
    - Replace gconf with gsettings. (Closes: #886046)
  * debian/control:
    - Bump Standards-Version.
    - Drop now no longer needed dependency on gir1.2-gconf-2.0.
  * debian/: Bump debhelper compat to 11.
  * debian/copyright: Update copyright years.
  * debian/patches: Fix AppStream metadata location.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 05 Apr 2018 01:27:34 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnome
 Priority: optional
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  gettext,
  gir1.2-gstreamer-1.0,
@@ -13,10 +13,10 @@
  libglib2.0-dev,
  python3,
  python3-gi
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://soundconverter.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/soundconverter.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/soundconverter.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/soundconverter
+Vcs-Git: https://salsa.debian.org/multimedia-team/soundconverter.git
 
 Package: soundconverter
 Architecture: all
@@ -24,7 +24,6 @@
  ${misc:Depends},
  ${python3:Depends},
  python3-gi,
- gir1.2-gconf-2.0,
  gir1.2-glib-2.0,
  gir1.2-gstreamer-1.0,
  gir1.2-gtk-3.0,

## soundconverter 3.0.1

=== debian/changelog ===
soundconverter (3.0.1-2) unstable; urgency=medium

  * debian/patches: Handle ValueError when checking for GConf. (Closes: #921652)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 07 Feb 2019 19:37:08 +0100

soundconverter (3.0.1-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/control: Bump Standards-Version.
  * debian/: Bump debhelper compat to 12.
  * debian/patches: Removed, no longer needed.
  * debian/copyright: Document AppStream data license.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 01 Feb 2019 09:28:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: soundconverter
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Section: gnome
 Priority: optional
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  dh-python,
  gettext,
  gir1.2-gstreamer-1.0,
@@ -13,7 +13,7 @@
  libglib2.0-dev,
  python3,
  python3-gi
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://soundconverter.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/soundconverter
 Vcs-Git: https://salsa.debian.org/multimedia-team/soundconverter.git

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
  https://launchpad.net/soundconverter .*/soundconverter-(.*)\.tar\.xz

## soundconverter 3.0.2

=== debian/changelog ===
soundconverter (3.0.2-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Set Rules-Requires-Root: no.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Jul 2019 18:54:56 +0200

soundconverter (3.0.2-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches: Drop obsolete patches.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 06 Apr 2019 09:14:34 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnome
 Priority: optional
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 12),
  dh-python,
  gettext,
  gir1.2-gstreamer-1.0,
@@ -17,6 +17,7 @@
 Homepage: http://soundconverter.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/soundconverter
 Vcs-Git: https://salsa.debian.org/multimedia-team/soundconverter.git
+Rules-Requires-Root: no
 
 Package: soundconverter
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/share

override_dh_auto_test:

## soundconverter 4.0.0

=== debian/changelog ===
soundconverter (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * debian/control: Add gir1.2-gst-plugins-base-1.0 to (Build-)Depends
  * debian/rules: Disable tests for now
    They require the schemes to be compiled but compilation is currently
    disabled by a patch
  * debian/patches: Refresh patches.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 30 Oct 2020 11:51:16 +0100

soundconverter (3.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Fix misspelling of Close => Closes.

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/watch: Use github
  * debian/patches: Do not compile glib schema

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 31 Aug 2020 20:29:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Section: gnome
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- gettext,
+ gir1.2-glib-2.0,
+ gir1.2-gst-plugins-base-1.0,
  gir1.2-gstreamer-1.0,
  gir1.2-gtk-3.0,
- intltool,
- libglib2.0-dev,
  python3,
+ python3-distutils-extra,
  python3-gi
-Standards-Version: 4.3.0
-Homepage: http://soundconverter.org/
+Standards-Version: 4.5.0
+Homepage: https://soundconverter.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/soundconverter
 Vcs-Git: https://salsa.debian.org/multimedia-team/soundconverter.git
 Rules-Requires-Root: no
@@ -27,6 +27,7 @@
  python3-gi,
  gir1.2-glib-2.0,
  gir1.2-gstreamer-1.0,
+ gir1.2-gst-plugins-base-1.0,
  gir1.2-gtk-3.0,
  gstreamer1.0-plugins-good,
  gstreamer1.0-plugins-base

## soundconverter 4.0.1

=== debian/changelog ===
soundconverter (4.0.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Aug 2021 10:50:32 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3,
  python3-distutils-extra,
  python3-gi
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://soundconverter.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/soundconverter
 Vcs-Git: https://salsa.debian.org/multimedia-team/soundconverter.git

## soundconverter 4.0.3

=== debian/changelog ===
soundconverter (4.0.3-2) unstable; urgency=medium

  * Source-only upload

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 03 Nov 2021 22:30:04 +0100

soundconverter (4.0.3-1) unstable; urgency=medium

  * New upstream version 4.0.3

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 03 Nov 2021 22:26:20 +0100

soundconverter (4.0.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Sebastian Ramacher ]
  * New upstream version 4.0.2
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 22 Oct 2021 22:52:43 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3,
  python3-distutils-extra,
  python3-gi
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://soundconverter.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/soundconverter
 Vcs-Git: https://salsa.debian.org/multimedia-team/soundconverter.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%soundconverter-$1.tar.gz%" \
    https://github.com/kassoulet/soundconverter/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## soundconverter 4.0.4

=== debian/changelog ===
soundconverter (4.0.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.0.4
  * Bump Standards-Version to 4.6.2
  * Refresh patch
  * d/upstream/metadata: Add Archive, Bug-Database & Bug-Submit
  * Add salsa ci config

 -- Dennis Braun <snd@debian.org>  Fri, 04 Aug 2023 18:24:22 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3,
  python3-distutils-extra,
  python3-gi
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://soundconverter.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/soundconverter
 Vcs-Git: https://salsa.debian.org/multimedia-team/soundconverter.git

## soundconverter 4.0.5

=== debian/changelog ===
soundconverter (4.0.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.0.5
  * Refresh patch

 -- Dennis Braun <snd@debian.org>  Fri, 19 Apr 2024 16:07:08 +0200

## soundconverter 4.0.6

=== debian/changelog ===
soundconverter (4.0.6-2) unstable; urgency=medium

  * Team upload
  * Bump Standards-Version to 4.7.2
  * Add python3-pkg-resources to Depends (Closes: #1098876)
    Thanks to Andrius Merkys!
  * Apply wrap-and-sort -ast

 -- Dennis Braun <snd@debian.org>  Tue, 18 Mar 2025 17:18:56 +0100

soundconverter (4.0.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.0.6
  * Bump Standards-Version to 4.7.0
  * Refresh patchset

 -- Dennis Braun <snd@debian.org>  Sun, 10 Nov 2024 19:35:03 +0100

=== debian/control ===
Source: soundconverter
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>,
Section: gnome
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 gir1.2-glib-2.0,
 gir1.2-gst-plugins-base-1.0,
 gir1.2-gstreamer-1.0,
 gir1.2-gtk-3.0,
 python3,
 python3-distutils-extra,
 python3-gi,
Standards-Version: 4.7.2
Homepage: https://soundconverter.org/
Vcs-Browser: https://salsa.debian.org/multimedia-team/soundconverter
Vcs-Git: https://salsa.debian.org/multimedia-team/soundconverter.git
Rules-Requires-Root: no

Package: soundconverter
Architecture: all
Depends:
 gir1.2-glib-2.0,
 gir1.2-gst-plugins-base-1.0,
 gir1.2-gstreamer-1.0,
 gir1.2-gtk-3.0,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 python3-gi,
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 gir1.2-notify-0.7,
 gstreamer1.0-libav,
 gstreamer1.0-plugins-ugly,
Description: GNOME application to convert audio files into other formats
 SoundConverter is a simple sound converter application for the GNOME
 environment. It reads sound files in any format supported by GStreamer
 and outputs them in Ogg Vorbis, FLAC, or WAV format, or MP3 format if
 you have the GStreamer LAME plugin.

## soundconverter 4.1.1

=== debian/changelog ===
soundconverter (4.1.1-1) unstable; urgency=medium

  * New upstream version 4.1.1
  * debian/copyright: Update copyright years
  * debian/control: Drop now unused dependency on python3-pkg-resources

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 28 Jul 2025 08:25:35 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,6 @@
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
  python3-gi,
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
	# disable tests; they are currently broken

## soundconverter 4.1.3

=== debian/changelog ===
soundconverter (4.1.3-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * use dh-sequence-python3

  [ Sebastian Ramacher ]
  * debian/control:
    - Drop RRR: no
    - Drop Priority: optional
    - Bump Standards-Version
  * New upstream version 4.1.3

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 27 Feb 2026 21:34:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>,
 Section: gnome
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  gir1.2-glib-2.0,
  gir1.2-gst-plugins-base-1.0,
  gir1.2-gstreamer-1.0,
@@ -14,11 +13,10 @@
  python3,
  python3-distutils-extra,
  python3-gi,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://soundconverter.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/soundconverter
 Vcs-Git: https://salsa.debian.org/multimedia-team/soundconverter.git
-Rules-Requires-Root: no
 
 Package: soundconverter
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# disable tests; they are currently broken
